Subject: Re: bug#40099: 28.0.50; [feature/native-comp] Different working dir of .eln files is not expected by pdf-tools

From: Andrea Corallo <[email-masked]>
Date: Wed, 18 Mar 2020 11:05:55 +0000

Ihor Radchenko <[email-masked]> writes:

> After native-compiling pdf-tools, the loaded files failed to find some
> files required for the package to work. 
>
> Specifically, pdf-tools tried to rebuild the epdfinfo, which is usually
> done by running make on "build" directory in the same folder with
> pdf-tools.el and failed because pdf-tools.eln is located in different
> directory. The working directory for pdf-tools.eln seems to be
> ./eln-x86_64-pc-linux-gnu-85c5ba0bf5e77f42/ and does not contain
> "build".
>
> I guess that it would make sense to set working directory to be same
> when loading .el, .elc, and .eln.
>
> Best,
> Ihor

I'm not into pdf-tools but I think the trouble could be that its "make
build" does something different in terms of compilation that what
`native-compile' does.  I suspect it's not a load path problem.

Here it's hard to say something without more informations.

Could I have exact instructions to preproduce it?

Thanks

  Andrea

-- 
[email-masked]